<template>
  <FixedHeader
    class="header"
    :fixed.sync="isFixedHeader">
    <!-- @todo c keep-alive тултип автоопределения города работает некорректно -->
    <component
      :is="header"
      v-if="!isCabinet"/>
    <AppHeaderStatic
      v-else
      :is-cabinet="true"
      :is-fixed="isFixedHeader"/>
  </FixedHeader>
</template>

<script>
import FixedHeader from 'vue-fixed-header';
import HeaderFixed from '~/components/redesign/layout/header/header-fixed';
import HeaderStatic from '~/components/redesign/layout/header/header-static';

export default {
  name: 'Header',
  components: {
    FixedHeader,
    AppHeaderFixed: HeaderFixed,
    AppHeaderStatic: HeaderStatic,
  },
  props: {
    isCabinet: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      isFixedHeader: false,
    };
  },
  computed: {
    heightHeader() {
      // Нужна ли нам высота для включение fixHeader
      return 190;
    },
    header() {
      return this.isFixedHeader ? 'AppHeaderFixed' : 'AppHeaderStatic';
    },
  },
  methods: {},
};
</script>

<style lang="postcss">
  .burgerMenu {
    display: inline-block;
    min-height: 26px;

    & .button-item {
      display: inline-block;
    }

    & .svg {
      fill: var(--color-main-lightest);
    }
  }

  .logo {
    display: flex;
    flex-direction: column;
    text-decoration: none;
  }

  .logo-img {
    display: inline-flex;
    align-items: center;
    padding-bottom: .2rem;
    .svg {
      height: 1.025rem;
      width: 5.838rem;
    }
  }

  .logo-caption {
    display: inline-flex;
    align-items: center;
    font-size: 0.75rem;
    line-height: 1;
    color: var(--color-main-lightest);
    white-space: nowrap;
  }
</style>
